Page MenuHomePhabricator

Newcomer Tasks: Enable closing collapsed Post-edit dialog
Open, In Progress, HighPublic

Description

This is an additional feature to the revised post-edit dialog implemented in T301603: Newcomer tasks: increased flexibility at post-edit dialog

Background
As part of reducing the risk of newcomers not being able to re-open the post-edit dialog on close, the design was revised to be a drawer that appears after editing that is collapsible T301603: Newcomer tasks: increased flexibility at post-edit dialog following the same 'inspector' component design as the structured image task.

Problem
The drawer is not dismissible as currently designed, which can be frustrating for users who do not want to see further suggested edits at all.

Proposed solution
Add an ability to close the next suggestion drawer via a "close" icon that appears only in its collapsed state.
} On Desktop, the dialog will also respond to the ESC key – first by collapsing on ESC, then closing if ESC if pressed again when it is collapsed.

Desktop mock
image.png (1×2 px, 871 KB)
Demo prototype on Figma
Mobile mock
image.png (1×724 px, 197 KB)
Demo prototype on Figma

Event Timeline

RHo triaged this task as Medium priority.Mar 9 2022, 5:30 PM
RHo moved this task from Incoming to Ready for Development on the Growth-Team (Current Sprint) board.
MMiller_WMF raised the priority of this task from Medium to High.Mar 17 2022, 4:35 PM
Sgs changed the task status from Open to In Progress.Mar 21 2022, 8:54 AM
Sgs claimed this task.

Change 775284 had a related patch set uploaded (by Sergio Gimeno; author: Sergio Gimeno):

[mediawiki/extensions/GrowthExperiments@master] [WIP] Newcomer Tasks: Enable closing collapsed Post-edit dialog

https://gerrit.wikimedia.org/r/775284

Change 775284 merged by jenkins-bot:

[mediawiki/extensions/GrowthExperiments@master] Newcomer Tasks: enable closing collapsed Post-edit drawer

https://gerrit.wikimedia.org/r/775284

Etonkovidova added a subscriber: Etonkovidova.

forn @RitaHo quick review: I checked it in betalabs and did not see any issues.

Screen Shot 2022-05-06 at 3.32.34 PM.png (1×1 px, 214 KB)
Screenshot_20220506-172740_Chrome.jpg (2×1 px, 506 KB)